# Kompira リリースノート

---
## Ver.1.5.1 (2018/09/14)

### 新機能
-  英語対応および英語版ドキュメントを添付しました。
    - インストール時の言語設定によって日本語または英語設定になります。
    - インストール時に --locale-lang オプションで言語を指定可能です（システムの言語設定を変更します）。
    - デフォルトではシステムの言語設定を変更しません（【非互換】以前のバージョンでは日本語に変更していました）。
    - 日本語(ja_JP.UTF-8)および英語(en_US.UTF-8)でのみ動作確認しています。
- 型オブジェクトの編集画面で、フィールド修飾子をポップアップダイアログで編集できるようになりました。
- フィールド修飾子に指定できる項目を追加しました。
    - Array/Dictionary型: default でデフォルト値が指定できるようになりました。
    - String型: max_length で最大長を指定できます。
    - String型: pattern で入力可能な文字列パターンを正規表現で指定できます。
    - Integer型: min_value/max_value で最小値／最大値を指定できます。
    - File型: file_accept でファイル選択ダイアログで表示するファイル種別を指定できます。
- 配列・辞書フィールドの順序入れ替えが簡単にできるようになりました。
    - ドラッグアンドドロップによる順序入れ替え、CTRL + 上下カーソルキーによる入れ替えができます。
- インシデントをWeb画面から新規作成できるようになりました。
- ジョブフローからプロセスの監視モードを monitoring_mode で読み書きできるようになりました。

### 変更
- mailto() の Date ヘッダをローカルタイムになるようにしました。
- REST API で API キーによる認証を cookie より優先するようになりました。
- manage.py export_dir コマンドによるエクスポート時に権限情報を出力できるようになりました。

### 修正 
- issue #1004: forkプロセス、スケジューラやAPIから起動したジョブフローでも、監視モードに応じてメール通知されるように修正しました。
- issue #1031: mailto() で日本語添付ファイル名の扱いを修正しました。
- issue #1208: 長すぎるフィールド修飾子を指定したオブジェクトの作成でエラーになる問題を修正しました。
- issue #1215: 多重度設定したジョブフローの並列実行が終了しない問題を修正しました。
- issue #1216: $RESULTや$ERRORに日本語を含むプロセスオブジェクトをmanage.py dumpdataできない問題を修正しました。

### その他
- pythonライブラリをアップデートしました
    - mod_wsgi (4.5.24 → 4.6.4)
    - psycopg2 (2.6.2) → psycopg2_binary (2.7.5)
    - psutil (5.4.6) [New]
- javascript ライブラリをアップデートしました。
    - jquery-ui (1.12.1) [New]

---
## Ver.1.5.0 (2018/07/05)

### プラットフォームの移行

#### Python2.7 対応

- Python 2.7 系に対応し、Python 2.6 系は非対応となりました。
- Python 2.7 がインストールされていない環境では、インストーラが自動的に Python 2.7 をインストールします。

ジョブフローから実行する python スクリプトなども 2.7 系で実行されることになるため、バージョンに依存するスクリプトを利用する場合は注意してください。

#### CentOS 7 / RHEL 7 対応

- CentOS 7 および RHEL 7 にインストールできるようになりました。
- CentOS 6 および RHEL 6 にも引き続きインストール可能です。

#### ミドルウェアのアップデート

Kompira が利用するミドルウェアをアップデートしました。アップデートした主要なミドルウェアを以下に示します。

- データベース
    - PostgreSQL 9.6
- Python ライブラリ
    - django 1.8.19
    - djangorestframework 3.2.5
    - Django-Select2 4.3.2
    - pywinrm 0.3.0
    - Jinja2 2.10
    - python-daemon 2.1.2
- JavaScript ライブラリ
    - jquery 1.12.4

#### バグ修正

- Kompira オブジェクトのフィールド値書き込み時に、DB 排他制御が不足している場合がある問題を修正しました。
- ジョブフローからメールチャネルを読み込んでも、メールサーバへのポーリングが開始しない場合がある問題を修正しました。

その他の修正については、ChangeLog をご参照ください。

---
## 更新方法

Ver.1.5.0 から、インストーラは標準ではデータを保持してアップデートを試行
するになりました。オプションを付けずに install.sh を実行してください。

    ./install.sh

なお、この変更に伴い --update オプションは廃止になりました。

データ移行のためインストーラがバックアップを作成しますが、データ移行が
不要な場合は --no-backup オプションを付与することで、バックアップを作成
せず更新に必要なディスク容量を削減できます。

    ./install.sh --no-backup

データベースを明示的に初期化する場合は --initdata オプションを付与して
インストーラを実行してください。

    ./install.sh --initdata

なお、1.5.0 より前のデータは移行できません。一度、manage.py の export_data
コマンドを用いてデータをエクスポートした後、Kompira 1.5.0 をインストールし、
import_data コマンドにてインポートしなおしてください。

継続での利用にはライセンスファイルを登録する必要がございますので、ご注
意ください。ライセンスファイルはライセンス申請を行うことで取得可能です。
